curl --request GET \
--url https://api.olostep.com/v1/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/monitors/{monitor_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "monitor",
"query": "<string>",
"tracked": {
"type": "<string>",
"urls": [
"<string>"
],
"web_query": "<string>"
},
"source_policy": {
"include_urls": [
"<string>"
],
"exclude_urls": [
"<string>"
],
"include_domains": [
"<string>"
],
"exclude_domains": [
"<string>"
]
},
"schedule": {
"frequency": "<string>",
"cron": "<string>",
"timezone": "UTC",
"next_run_at": "2023-11-07T05:31:56Z"
},
"notification": {
"events": [
"changed"
],
"channels": [
{
"type": "email",
"target": "<string>",
"events": [
"changed"
]
}
]
},
"webhook": {
"url": "<string>"
},
"output_schema": {},
"status": "provisioning",
"error_message": "<string>",
"last_run": {
"id": "<string>",
"status": "completed",
"change_detected": true,
"ran_at": "2023-11-07T05:31:56Z"
},
"agent": {
"id": "<string>"
},
"metadata": {},
"created": 123,
"updated": 123,
"total_count": 123,
"mermaid_diagram": "<string>"
}{
"error": "<string>",
"monitor_id": "<string>"
}Ottieni Monitor
Recupera un monitor tramite ID, inclusi last_run e total_count. Usa include-diagram=true per un diagramma DAG di Mermaid e include_total_count=false per omettere il conteggio degli snapshot.
Autorizzazioni
Intestazione di autenticazione Bearer del tipo Bearer , dove è il tuo token di autenticazione.
Parametri del percorso
^monitor_Parametri della query
Imposta su false o 0 per omettere total_count.
true, false, 0, 1 Quando è vero, include mermaid_diagram per il DAG del monitor.
true, 1 Risposta
Monitor recuperato.
Identificatore unico del monitor (monitor_…).
"monitor"
Intento di monitoraggio in linguaggio naturale.
Target risolti che il monitor traccia dopo che la pianificazione è completata.
Show child attributes
Show child attributes
Liste di permessi e negazioni di URL/domini opzionali applicate durante la pianificazione e l'esecuzione.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Schema JSON opzionale per l'output di estrazione strutturata.
Monitora lo stato del ciclo di vita.
provisioning, active, paused, failed, deleted Presente quando status è failed.
Riepilogo dell'istantanea più recente. Incluso su GET /v1/monitors/{monitor_id}.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp Unix (secondi).
Timestamp Unix (secondi).
Conteggio totale delle istantanee. Incluso su GET /v1/monitors/{monitor_id} a meno che include_total_count=false.
Diagramma di flusso Mermaid del DAG del monitor. Incluso quando include-diagram=true su get.
Questa pagina è stata utile?